Models
Rename model
PATCH
/
v1
/
models
/
{id}
Rename model
curl --request PATCH \
--url https://api.veri.studio/v1/models/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.veri.studio/v1/models/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.veri.studio/v1/models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"base_model": "<string>",
"artifact_type": "<string>",
"source": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"training_job_id": "<string>",
"huggingface_id": "<string>",
"size_bytes": 123,
"error": "<string>",
"version": {
"object": "<string>",
"id": "<string>",
"model_id": "<string>",
"model": "<string>",
"version": 123,
"name": "<string>",
"artifact_type": "<string>",
"tags": [
"<string>"
],
"pinned": true,
"status": "<string>",
"aliases": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"custom_model_id": "<string>",
"dataset_snapshot_id": "<string>",
"training_job_id": "<string>",
"parent_version_id": "<string>",
"pinned_at": "2023-11-07T05:31:56Z",
"purged_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Model ID
Body
application/json
Response
The renamed model
The base checkpoint this model derives from. For artifact_type 'adapter' this names the model the adapter must be served on top of.
'full' (standalone checkpoint) | 'adapter' (LoRA adapter; only attachable to a multi_adapter deployment).
Present when the save also registered the model into a version
lineage (POST /v1/models/register with model): the version it
became (e.g. acme-bot@v6).
Show child attributes
Show child attributes
Rename model
curl --request PATCH \
--url https://api.veri.studio/v1/models/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.veri.studio/v1/models/{id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.veri.studio/v1/models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"base_model": "<string>",
"artifact_type": "<string>",
"source": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"training_job_id": "<string>",
"huggingface_id": "<string>",
"size_bytes": 123,
"error": "<string>",
"version": {
"object": "<string>",
"id": "<string>",
"model_id": "<string>",
"model": "<string>",
"version": 123,
"name": "<string>",
"artifact_type": "<string>",
"tags": [
"<string>"
],
"pinned": true,
"status": "<string>",
"aliases": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"custom_model_id": "<string>",
"dataset_snapshot_id": "<string>",
"training_job_id": "<string>",
"parent_version_id": "<string>",
"pinned_at": "2023-11-07T05:31:56Z",
"purged_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
}
